Enable AbuseFilter events to show up in irc.wikimedia.org for English Wikipedia
Closed, ResolvedPublic

Description

Abusefilter log events should show up in the IRC recentchanges feed, just like other log events.

Currently bots like Mr.Z-bot in #wikipedia-en-abuse-log need to query the toolserver database or the API on a repeated basis to get updated information, instead of being able to follow an RC feed.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz42758.
Legoktm created this task.Via LegacyDec 6 2012, 12:57 AM
Legoktm added a comment.Via ConduitDec 7 2012, 3:41 AM

I did a bit of research, namely http://wikitech.wikimedia.org/view/IRCD and https://www.mediawiki.org/wiki/Abusefilter#Configuration (the UDP section).

If the Abusefilter supports sending UDP updates, does that mean it only needs to be turned on for WMF wikis and not coded?

Legoktm added a comment.Via ConduitDec 13 2012, 1:58 AM

After finding gerrit change Ie4bda2f9, it seems this was already coded into the abusefilter.

I'd like for this to be turned on for the English Wikipedia and will try and submit a changeset if I can figure out how to use gerrit.

Snowolf added a comment.Via ConduitDec 13 2012, 5:21 AM

Should be figured out if it would mean only the public ones or also the private ones.

Legoktm added a comment.Via ConduitDec 13 2012, 5:25 AM

That's a good point.

Ideally private filters should show up with some variant of "00:00, 13 December 2012: Username (talk) triggered an edit filter, performing the action "edit" on Pagename. Actions taken: Warn/Disallow/Tag; Filter description: Name_of_filter" which is the current form of what you see on [[Special:AbuseLog]] if you don't have the proper permission to view it.

I haven't taken a look at the relevant code though to see if that is supported though.

Legoktm added a comment.Via ConduitDec 13 2012, 10:47 AM

(In reply to comment #3)

Should be figured out if it would mean only the public ones or also the
private
ones.

I submitted gerrit change I433aa0d9 which would only send public filters to the IRC feed.

Legoktm added a comment.Via ConduitDec 13 2012, 11:36 AM

Ori merged my change to the extension.

The actual fix for this bug is gerrit change I942435b7.

Legoktm added a comment.Via ConduitDec 13 2012, 11:12 PM

(In reply to comment #6)

The actual fix for this bug is gerrit change I942435b7.

Merged by Ori, thanks.

Add Comment